Put Network Extension

Put Network Extension
Edit Network Extension

Enable or Disable MON on the specified network extension

Request
URI
PUT
https://{server}/hybridity/api/networkExtensions/{extensionId}
COPY
Path Parameters
string
extensionId
Required

Extended Network ID


Request Body

Info needed to update a network extension

StretchRecord of type(s) application/json
Required
{
    "stretchId": "string",
    "gateway": "string",
    "netmask": "string",
    "source": {
        "endpointId": "string",
        "endpointType": "string",
        "endpointName": "string",
        "resourceId": "string",
        "resourceType": "string",
        "resourceName": "string"
    },
    "destination": {
        "endpointId": "string",
        "endpointType": "string",
        "endpointName": "string",
        "resourceId": "string",
        "resourceType": "string",
        "resourceName": "string"
    },
    "sourceNetwork": {
        "networkId": "string",
        "networkType": "string",
        "networkName": "string",
        "gatewayId": "string",
        "gatewayName": "string",
        "layer2Id": "string",
        "isDistributedRouter": false,
        "trunkMode": false,
        "isNsxT": false
    },
    "destinationNetwork": {
        "networkId": "string",
        "networkType": "string",
        "networkName": "string",
        "gatewayId": "string",
        "gatewayName": "string",
        "layer2Id": "string",
        "isDistributedRouter": false,
        "trunkMode": false,
        "isNsxT": false
    },
    "sourceAppliance": {
        "applianceId": "string",
        "applianceName": "string",
        "applianceType": "string"
    },
    "destinationAppliance": {
        "applianceId": "string",
        "applianceName": "string",
        "applianceType": "string"
    },
    "features": {
        "proximityRouting": false,
        "egressOptimization": false,
        "mobilityOptimizedNetworking": false
    }
}
string
stretchId
Optional

stretchId

string
gateway
Optional

gateway

string
netmask
Optional

netmask

object
source
Optional

source

object
destination
Optional

destination

object
sourceNetwork
Optional

sourceNetwork

object
destinationNetwork
Optional

destinationNetwork

object
sourceAppliance
Optional

sourceAppliance

object
destinationAppliance
Optional

destinationAppliance

object
features
Optional

features

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns SuccessTaskResponse of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns NEBadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns NEInternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/networkExtensions/{extensionId}